Skip to main content
Back to API List To enable a channel for an AI Agent.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/channels
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Not Applicable; Admin Console: Channel Management

Query Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.ai.Required

Sample Request

Web/Mobile channel:
curl --location --request POST 'https://{{host}}/api/public/channels' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "streamId": "st-xxxxfxxx-edxx-xxxx-xxbb-fxxxexxfxfcx",
    "channelDetails": {
        "displayName": "Web / Mobile Client",
        "type": "rtm",
        "app": {
           "clientId": "cs-xexxdxxx-xbbc-xxex-xxef-xxxxxxxxfxfx",
           "appName": "app_name"
        },
     "enable": true
    },
  "type": "rtm"
}'
MS Teams channel:
curl --location --request POST 'https://{{host}}/api/public/channels' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "streamId": "st-4xx7ccxx-8xx5-5cxx-9xxf-5bxxxxxxxxxx",
    "channelDetails": {
       "botName": "Banking Bot",
       "enable": true,
       "type": "msteams",
       "appId": "cbabcxce-acxb-xxxx-axxf-xabxxxfexxxb",
       "appPassword": ""
     },
   "type": "msteams"
}'
WebHook channel:
curl --location --request POST 'https://{{host}}/api/public/channels' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "streamId": "st-cxfaxxax-xexx-xxex-axxe-xxdxexxxfxex",
    "channelDetails": {
        "app": {
            "clientId": "cs-dxxcxxxc-Xxxx-xxxx-axxx-xxxxcxbexeax",
            "appName": "Banking Bot"
        },
     "createInstance": true,
     "type": "ivr",
     "displayName": "webhook1",
     "enable": true,
     "enablePolling": false,
     "isAsync": false
    },
    "type": "ivr"
}'
Slack channel:
curl --location --request POST 'https://{{host}}/api/public/channels' \
--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
   "streamId": "st-1bxxxxxx-9xx0-5xxa-abxx-51xxxxxxxxxa",
   "channelDetails": {
       "displayName": "slack",
       "botName":"Banking Bot",
       "enable": true,
       "type": "slack",
       "accessToken": "xoxb-xxxxxxxx-xxxxxx-xxxxxxxxxxxxxxxxxxxxxZ",
       "clientId": "xxxxxx.xxxxxx",
       "clientSecret": "xxexxdxxxdxcxxbxacxxxdfxxxxxex",
       "verificationToken": "abcd"
   },
   "type": "slack"
}'

Body Parameters

ParameterDescriptionRequired
streamIdStream or Bot ID. Access it from the General Settings page of the bot.Required
appNameThe app associated with this bot. Obtain it from the Manage Apps page.Required
clientIdThe client ID for the app. Obtain it from the Manage Apps page.Required
typeChannel to enable: rtm (Web/Mobile SDK), slack (Slack), ivr (WebHook), msteams (MS Teams).Required

Sample Response

Web/Mobile SDK:
{
    "displayName": "Web / Mobile Client",
    "type": "rtm",
    "enable": true,
    "embedWebClientDetails": {
        "apiKey": "d3be215756d94803b0a548e59xxxxxxxxxxxx873cec9e48eb918add573d738f2xxxx",
        "chatURL": "https://platform.kore.ai/webclient/...",
        "isURLEnabled": true
    }
}
Webhook channel:
{
    "streamId": "st-6f90cbdc-46c7-52f8-a388-8db39b0f4436",
    "channelDetails": {
        "type": "ivr",
        "displayName": "webhook11",
        "enable": true,
        "isAsync": false
    },
    "type": "ivr"
}
MS Teams channel:
{
    "streamId": "st-6f90cbdc-46c7-52f8-a388-8db39b0f4436",
    "channelDetails": {
       "botName": "today",
       "enable": true,
       "type": "msteams",
       "appId": "e51678c4-3c92-4053-8d0e-f9173ec1136e"
    },
    "type": "msteams"
}